package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.AnesthesiaRelatedDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 麻醉相关文档生成
 * @author: rengb
 * @time: 2020/3/17 13:27
 */
public class TaiZhouAnesthesiaRelatedDocTrans extends ModelDocTrans {

    @Override
    public List<AnesthesiaRelatedDoc> extract(MedrecVo medrecVo) {
        List<AnesthesiaRelatedDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            retList.add(getAnesthesiaRelatedDoc(content));
        });
        return retList;
    }

    private AnesthesiaRelatedDoc getAnesthesiaRelatedDoc(String content) {
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(TzXmlUtil.getXmlToMapForTZ(content), keyContrasts);

        AnesthesiaRelatedDoc anesthesiaRelatedDoc = new AnesthesiaRelatedDoc();
        anesthesiaRelatedDoc.setStructureMap(structureMap);

        return anesthesiaRelatedDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList();

}